//
//  YourIntrestCell.swift
//  WOKA
//
//  Created by MacBook Pro on 02/05/24.
//

import UIKit

class YourIntrestCell: UICollectionViewCell {
    
    @IBOutlet weak var outerView: UIView!
    @IBOutlet weak var intrestLabel: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()

    }
    
    override func layoutSubviews() {
        outerView.roundCorner(radius: 20)
        //        outerView.backgroundColor = UIColor.white.withAlphaComponent(0.5)
    }
    
    func setData(data : IntrestTopicDM.Result){
        intrestLabel.text = data.topicName?.capitalized
        
        if data.isSelected!{
            outerView.backgroundColor = UIColor.white
        }else{
            outerView.backgroundColor = UIColor.white.withAlphaComponent(0.5)
        }
    }
}
